gnomeprint.Glyphlist
Prev | The Gnomeprint Class Reference |

## gnomeprint.Glyphlist

gnomeprint.Glyphlist — Glyphlist object for GnomePrint

## Synopsis

    class gnomeprint.Glyphlist(gobject.GBoxed):
        gnomeprint.Glyphlist()
        def advance(advance)
        def bbox(transform, flags, bbox)
        def color(color)
        def duplicate()
        def font(font)
        def glyph(glyph)
        def glyphs(glyphs, num_glyps)
        def kerning(kerning)
        def letterspace(letterspace)
        def moveto(x, y)
        def rmoveto(x, y)
        def text_dumb(text)

    Functions

        def gnomeprint.glyphlist_from_text_dumb(font, color, kerning, letterspace, text)

## Ancestry

    +-- gobject.GBoxed
      +-- gnomeprint.Glyphlist

## Description

## Constructor

        gnomeprint.Glyphlist()

Returns : | a new `gnomeprint.Glyphlist`.

Creates a new `gnomeprint.Glyphlist` object.

## Methods

### gnomeprint.Glyphlist.advance

        def advance()

`advance` : | if `TRUE` move the pen position, `FALSE` otherwise.

The `advance`() method decide whether or not to move the pen position by the font standard advance vector. Advancing happens immediately after glyph is sent through pipeline.

### gnomeprint.Glyphlist.bbox

        def bbox(transform, flags, bbox)

`transform` : |
`flags` : | should be 0 for now.
`bbox` : |
Returns : | bbox or `None` on error.

The `bbox`() method gets ink dimensions of transformed glyphlist Flags are to specify user preferences, should be 0 for now.

### gnomeprint.Glyphlist.color

        def color(color)

`color` : | the color in the form RRGGBBAA.

The `color`() method specify the color as RRGGBBAA to be used for the glyphs that follow.

### gnomeprint.Glyphlist.duplicate

        def duplicate()

Returns : |

The `duplicate`() method

### gnomeprint.Glyphlist.font

        def font(font)

`font` : |

The `font`() method specify the font to be used for the glyphs that follow.

### gnomeprint.Glyphlist.glyph

        def glyph(glyph)

`glyph` : |

The `glyph`() method appends a single glyph to the glyphlist. It will be connected to the previous glyphs by the previously defined rules.

### gnomeprint.Glyphlist.glyphs

        def glyphs(glyphs, num_glyps)

`glyps` : |
`val` : |

The `gluphs`() method append a string of glyphs.

### gnomeprint.Glyphlist.kerning

        def kerning(kerning)

`kerning` : |

The `kerning`() method sets the amount of kerning to add between glyphs connected by an advance rule. It is specified as fraction of a full kerning value If a glyph is manually positioned, the kerning value is ignored Kerning will be added immediately before placing a new glyph.

### gnomeprint.Glyphlist.letterspace

        def letterspace(letterspace)

`letterspace` : |

The `letterspace`() method sets the amount of white space to add between glyphs connected by an advance rule. It is specified in font units (i.e. 12 for 12pt font is the width of an em square). If glyph is manually positioned, letterspace value will be ignored. Letterspace will be added immediately before placing a new glyph

### gnomeprint.Glyphlist.moveto

        def moveto(x, y)

`x` : |
`y` : |

The `moveto`() method position manually the glyph following.

### gnomeprint.Glyphlist.rmoveto

        def rmoveto(x, y)

`x` : |
`y` : |

The `rmoveto`() method position the glyph following relative to current pen position.

### gnomeprint.Glyphlist.text_dumb

        def text_dumb(text)

`text` : |

The `text_dumb`() method

## Functions

### gnomeprint.glyphlist_from_text_dumb

        def gnomeprint.glyphlist_from_text_dumb(font, color, kerning, letterspace, text)

`font` : |
`color` : |
`kerning` : |
`letterspace` : |
`text` : |
Returns : |

The `glyphlist_from_text_dumb`() function appends utf8 text, converting it to glyphs and connecting it as specified by rules. You cannot expect anything about language-specific typesetting rules, so if the given script does not use trivial placement, you should better avoid this.

Prev | Up |
gnomeprint.FontFace | Home |